#
# spec file for package python-monasca-statsd
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname monasca-statsd
Name:           python-monasca-statsd
Version:        1.11.0
Release:        1.1
Summary:        Python Statsd library for sending statsd messages via the Monasca Agent
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://wiki.openstack.org/wiki/Monasca
Source0:        https://files.pythonhosted.org/packages/source/m/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-Sphinx
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-oslosphinx
BuildRequires:  python-setuptools
BuildRequires:  python-six
Requires:       python-six
BuildArch:      noarch

%description
Python Statsd library for sending statsd messages via the Monasca Agent

%prep
%autosetup -n %{sname}-1.11.0
%py_req_cleanup

%build
%{py2_build}
PBR_VERSION=1.11.0 sphinx-build -b html doc/source doc/build/html
rm -r doc/build/html/.{doctrees,buildinfo}

%install
%{py2_install}

%check
nosetests monascastatsd --verbose

%files
%license LICENSE
%doc README.rst ChangeLog
%{python2_sitelib}/monascastatsd
%{python2_sitelib}/*.egg-info

%changelog
